GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

          • Create Webhook
          • Get Webhook List
          • Modify Webhook Configuration
          • Delete Webhook
          • Get Webhook Log
          • Manually trigger Webhook execution
          • Get Webhook details
          • Get Webhook event list
        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Webhook

  10. /
  11. Modify Webhook Configuration

¶ Modify Webhook configuration

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Need to specify webhookId, optional webhook name, webhook callback address, request data format, user real name, whether to enable, request key parameters to modify webhook

¶ Method Name

ManagementClient.updateWebhook

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
webhookIdstringyes-Webhook ID6229ffaxxxxxxxxcade3e3d9
namestringno-Webhook NameUser Create Event
urlstringNo-Webhook callback addresshttps://example.com/callback
eventsstring[]No-User's real name, not unique. Example value: Zhang San["user:created"]
contentTypestringNo-Request data formatapplication/json
enabledbooleanNo-Enabledtrue
secretstringNo-Request keyxxxxxxxxxxxx

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CostGetCurrentUsageRespDto;
import cn.authing.sdk.java.dto.UpdateWebhookDto;
import cn.authing.sdk.java.dto.UpdateWebhooksRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class UpdateWebhookTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        UpdateWebhookDto updateWebhookDto = new UpdateWebhookDto();
        updateWebhookDto.setWebhookId("AUTHING_WEBHOOK_ID");
        updateWebhookDto.setName("example");
        UpdateWebhooksRespDto updateWebhooksRespDto = client.updateWebhook(updateWebhookDto);
        System.out.println(JsonUtils.serialize(updateWebhooksRespDto));
    }
}

¶ Request Response

Type: UpdateWebhooksRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataWebhookDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "webhookId": "6229ffaxxxxxxxxcade3e3d9",
    "createdAt": "2022-07-03T02:20:30.000Z",
    "updatedAt": "2022-07-03T02:20:30.000Z",
    "name": "User Created Event",
    "url": "https://example.com/callback",
    "contentType": "application/json",
    "enabled": true,
    "events": "[\"user:created\"]",
    "secret": "xxxxxxxxxxxx"
  }
}

¶ Data Structure

¶ WebhookDto

NameType
Is it required
Description
Example Value
webhookIdstringyesWebhook ID6229ffaxxxxxxxxcade3e3d9
createdAtstringyesCreation time2022-07-03T02:20:30.000Z
updatedAtstringyesUpdate time2022-07-03T02:20:30.000Z
namestringyesWebhook NameUser creation event
urlstringyesWebhook callback addresshttps://example.com/callback
contentTypestringyesRequest data formatapplication/json
enabledbooleanyesWhether to enabletrue
eventsarraynoUser's real name, not unique. Example value: Zhang San["user:created"]
secretstringNoRequest keyxxxxxxxxxxxx
Previous article: Get Webhook List Next article: Delete Webhook
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.